> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Taxpayer Status

> Get the status of a refresh job.



## OpenAPI

````yaml GET /tax-payer/{taxpayerId}/refresh/{jobId}
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /tax-payer/{taxpayerId}/refresh/{jobId}:
    get:
      description: Get the status of a refresh job.
      parameters:
        - $ref: '#/components/parameters/ChartAPIVersion'
        - name: taxpayerId
          in: path
          required: true
          schema:
            type: string
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Taxpayer Refresh Status Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxpayerRefreshStatusResponse'
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  schemas:
    TaxpayerRefreshStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        jobId:
          type: string
        taxpayerId:
          type: string
        name:
          type: string
      required:
        - status
        - jobId
        - taxpayerId
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.

````